<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\FisicosHistoriasTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\FisicosHistoriasTable Test Case
 */
class FisicosHistoriasTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\FisicosHistoriasTable
     */
    protected $FisicosHistorias;

    /**
     * Fixtures
     *
     * @var list<string>
     */
    protected array $fixtures = [
        'app.FisicosHistorias',
        'app.Examens',
        'app.Historias',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('FisicosHistorias') ? [] : ['className' => FisicosHistoriasTable::class];
        $this->FisicosHistorias = $this->getTableLocator()->get('FisicosHistorias', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->FisicosHistorias);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \App\Model\Table\FisicosHistoriasTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @uses \App\Model\Table\FisicosHistoriasTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
